
Katello - Bug #4501

angular pages don't work w/ mark_translated:true config

02/28/2014 11:59 AM - Thomas McKay

Status: Closed   

Priority: High   

Assignee: Walden Raines   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The setting to surround strings that pass through i18n with "X" does not work on angular pages.

/katello/systems#/systems

window.__ = function() { return 'X' + i18n.gettext.apply(i18n, arguments) + 'X' };

Uncaught TypeError: Cannot call method 'apply' of undefined

Associated revisions

Revision c89da046 - 03/21/2014 05:17 PM - Walden Raines

Fixes #4501: rename katello JS i18n/mark translated bastion strings.

There was a javascript error on all katello pages when mark_translation was

turned on.  This was because katello was overwriting foreman's i18n global

var with it's own global var.  Renamed katello's global var to fix this.

Also added Xs around bastion strings marked for translation.

Revision f5fd5ffc - 03/21/2014 09:17 PM - Walden Raines

Fixes #4501: rename katello JS i18n/mark translated bastion strings.

There was a javascript error on all katello pages when mark_translation was

turned on.  This was because katello was overwriting foreman's i18n global

var with it's own global var.  Renamed katello's global var to fix this.

Also added Xs around bastion strings marked for translation.

Revision 06b2236e - 03/24/2014 10:49 AM - Walden Raines

Merge pull request #3869 from waldenraines/bug-4501

Fixes #4501: rename katello JS i18n/mark translated bastion strings.

Revision 5d8e1228 - 03/24/2014 02:49 PM - Walden Raines

Merge pull request #3869 from waldenraines/bug-4501

Fixes #4501: rename katello JS i18n/mark translated bastion strings.

History

#1 - 03/21/2014 03:27 PM - Mike McCune

- Status changed from New to Closed

Works fine in the latest nightly.  Please re-open if this is still broken for you.

#2 - 03/21/2014 03:28 PM - Mike McCune

- Status changed from Closed to New
ignore previous comment.  Wrong issue#

#3 - 03/21/2014 03:28 PM - Mike McCune

- Status changed from New to Assigned

- Assignee set to Walden Raines

#4 - 03/21/2014 08:05 PM - Mike McCune

- Triaged set to Yes

#5 - 03/21/2014 08:21 PM - Mike McCune

- Triaged deleted (Yes)

#6 - 03/21/2014 09:05 PM - Mike McCune

- Triaged set to Yes

#7 - 03/21/2014 09:23 PM - Walden Raines

- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/3869

#8 - 03/24/2014 02:52 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:f5fd5ffc39ac2b2deff21c956154d72ce948b17f.

#9 - 08/21/2014 02:29 PM - Eric Helms

- translation missing: en.field_release set to 13
